<?xml version='1.0' encoding='UTF-8'?>
<!--
    Copyright (C) 2011 Smithsonian Astrophysical Observatory
    
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
    
    http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
--> 

<!-- To convert the Astrogrid Tables.xsd to the IVOA VOSITables-v1.0.xsd -->
<!-- http://www.astrogrid.org/viewcvs/astrogrid/dsa/dsa-catalog/src/main/webapp/schema/Tables.xsd?view=markup -->
<!-- http://www.ivoa.net/Documents/VOSI/20110511/PR-VOSI-1.0-20110511.html#appA -->
<xsl:stylesheet
    version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:tab="urn:astrogrid:schema:TableMetadata"
    xmlns:vosi="http://www.ivoa.net/xml/VOSITables/v1.0"
    xmlns:vs="http://www.ivoa.net/xml/VODataService/v1.1">

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" />
    </xsl:copy>
  </xsl:template>

  <!-- 
       Astrogrid DSA/Catalogue implementations have document root
       <tables><table>...
       Instead of the VOSI specified
       <tableset><schema><table>...
  -->
  <xsl:template match="tables">
    <xsl:element name="tableset">
      <!-- xmlns="http://www.ivoa.net/xml/VOSITables/v1.0"> -->
      <xsl:element name="schema">
	<xsl:element name="name" />
	<xsl:apply-templates />
      </xsl:element>
    </xsl:element>
  </xsl:template>

  <!-- 
       Some Astrogrid DSA/Catalogue implementations have 
       <dataType xsi:type="vod:TAPType">FLOAT</dataType> 
       instead of                                        
       <dataType xsi:type="vod:TAPType">REAL</dataType>  
  -->
  <xsl:template match='dataType[@type = "vod:TAPType"]/text()'>
    <xsl:choose>
      <xsl:when test='. = "FLOAT"'>
	<xsl:text>REAL</xsl:text>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="." />
     </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>
